function [H] = show_trilinos_graph(file_name)

trilinos_out = load(file_name);

matrix = trilinos_out;
matrix(:,1) = matrix(:,1)+1;
matrix(:,2) = matrix(:,2)+1;

matrix(1,:)

zero_indices = [];

tol = 10^(-16);

for i=1:size(matrix,1)
    if abs(matrix(i,3)) < tol
        zero_indices = [zero_indices, i];
    elseif matrix(i,1) < 1 || matrix(i,2) < 1
        zero_indices = [zero_indices, i];
        disp(strcat('Attention, file:  ',file_name,' line:  ', int2str(i)));
    end
    
end

matrix = matrix(setdiff(1:size(matrix,1),zero_indices),1:3);

H = spconvert(matrix);
%spy(H);

end

