#ifndef KATOPTRON_KOKKOSINIT_H
#define KATOPTRON_KOKKOSINIT_H

#include <Kokkos_Core.hpp>

void Kokkos_Initialize(int nThreads)
{
#ifdef KOKKOS_ENABLE_DEPRECATED_CODE
    Kokkos::OpenMP::initialize(nThreads);
#else
    Kokkos::OpenMP::impl_initialize(nThreads);
#endif
}

void Kokkos_Finalize()
{
    Kokkos::finalize();
}

#endif //KATOPTRON_KOKKOSINIT_H